Update webhook config
curl --request PATCH \
--url https://api.beltic.com/v1/webhooks/configs/:id \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"data": {
"type": "webhook_config",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attributes": {
"url": "https://example.com/webhooks/documents/v2",
"subscribed_statuses": [
"pending",
"processed",
"failed"
],
"is_active": false
}
}
}
'import requests
url = "https://api.beltic.com/v1/webhooks/configs/:id"
payload = { "data": {
"type": "webhook_config",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attributes": {
"url": "https://example.com/webhooks/documents/v2",
"subscribed_statuses": ["pending", "processed", "failed"],
"is_active": False
}
} }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
type: 'webhook_config',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
attributes: {
url: 'https://example.com/webhooks/documents/v2',
subscribed_statuses: ['pending', 'processed', 'failed'],
is_active: false
}
}
})
};
fetch('https://api.beltic.com/v1/webhooks/configs/:id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "webhook_config",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attributes": {
"resource_type": "document",
"url": "https://example.com/webhooks/documents",
"subscribed_statuses": [
"processed",
"failed"
],
"secret_prefix": "abc12...",
"is_active": true,
"created_at": "2026-01-16T10:00:00.000Z",
"updated_at": "2026-01-16T10:00:00.000Z"
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}Webhooks
Update Webhook Config
Update a webhook configuration. You can update the URL, subscribed statuses, or active state. The secret cannot be changed (use rotate-secret endpoint in future versions).
PATCH
/
v1
/
webhooks
/
configs
/
:id
Update webhook config
Authorizations
API key for authentication. Access https://console.beltic.com/ to obtain your API key.
Path Parameters
Webhook config ID
Example:
"123e4567-e89b-12d3-a456-426614174000"
Body
application/json
Show child attributes
Show child attributes
Response
Webhook config updated successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I